public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH 1/2] CI: install avocado in venv if host does not have it
@ 2021-10-19 10:05 Henning Schild
  2021-10-19 10:05 ` [PATCH 2/2] CI: export avocado junit as gitlab report Henning Schild
  2021-10-19 10:09 ` [PATCH 1/2] CI: install avocado in venv if host does not have it Henning Schild
  0 siblings, 2 replies; 6+ messages in thread
From: Henning Schild @ 2021-10-19 10:05 UTC (permalink / raw)
  To: isar-users; +Cc: Henning Schild

Avodaco can not be properly depended on since it is not packaged in
debian. It just comes via pip.
On hosts that do not have it, let us use a virtualenv and expect they
will be debian based and allow us to sudo. Which works well for the
kas-isar container most people probably care about.

Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
 scripts/ci_build.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 4534957de1ac..74d190781249 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -14,6 +14,16 @@ export PATH=$PATH:/sbin
 # Go to Isar root
 cd "$(dirname "$0")/.."
 
+# install avocado in virtualenv in case it is not there already
+if ! command -v avocado > /dev/null; then
+    sudo apt-get update -qq
+    sudo apt-get install -y virtualenv
+    rm -rf /tmp/avocado_venv
+    virtualenv --python python3 /tmp/avocado_venv
+    source /tmp/avocado_venv/bin/activate
+    pip install subprocess32 avocado-framework-plugin-varianter-yaml-to-mux
+fi
+
 # Get Avocado build tests path
 BUILD_TEST_DIR="$(pwd)/testsuite/build_test"
 
-- 
2.32.0


^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2021-10-19 17:19 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-19 10:05 [PATCH 1/2] CI: install avocado in venv if host does not have it Henning Schild
2021-10-19 10:05 ` [PATCH 2/2] CI: export avocado junit as gitlab report Henning Schild
2021-10-19 10:10   ` Henning Schild
2021-10-19 10:09 ` [PATCH 1/2] CI: install avocado in venv if host does not have it Henning Schild
2021-10-19 14:53   ` Baurzhan Ismagulov
2021-10-19 17:19     ` Henning Schild

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox